package J20250807.proxy.staticProxy;

/**
 * @author WanJl
 * @version 1.0
 * @title Landlord
 * @description 房东类，最终提供服务的真实对象，被代理的类
 * @create 2025/8/7
 */
public class Landlord implements Rent{
    /**
     * 租房的方法
     */
    @Override
    public void rentHouse() {
        System.out.println("房东：我是房东，房子租给你了");
    }
}
